package xn.hxp.room.tool.cabinet;

import java.util.List;

import xn.hxp.room.RoomTool;
import xn.hxp.room.bean.cabinet.CabinetDoorAdmin;
import xn.hxp.room.dao.cabinet.CabinetDoorAdminDao;

public enum CabinetDoorAdminTool {
    INSTANCE;

    private CabinetDoorAdminDao cabinetDoorAdminDao;

    CabinetDoorAdminTool() {
        cabinetDoorAdminDao = RoomTool.getInstance().cabinetDoorAdminDao();
    }

    public void insert(List<CabinetDoorAdmin> cabinetDoorList) {
        cabinetDoorAdminDao.insert(cabinetDoorList);
    }

    public void deleteAll() {
        cabinetDoorAdminDao.deleteAll();
    }

    public List<CabinetDoorAdmin> getCabinetDoorAdminList() {
        return cabinetDoorAdminDao.getCabinetDoorAdminList();
    }
}
